Compiling git from source on CentOS

Prerequisite

You need the Perl libraries in order to compile git, you also need the “gettext” package if you encounter the “msgfmt” error

Download

Go to this page to select the latest git, and download it

https://code.google.com/p/git-core/downloads/list

Installation Steps

There will be an error related to Tcl/Tk, if you don’t configure it without this module. Since it is something related to the GUI, which I will not using it on the server, so I just skip it using the “–without-tcltk” flag.

Verify

Run the following command to see the version number

 

Share your thoughts